GNU bug report logs - #68742
[PATCH] gnu: river: add river.desktop on wayland-sessions

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Erik Eduardo <eduarskate8@HIDDEN>; Keywords: patch; dated Fri, 26 Jan 2024 17:24:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 68742 <at> debbugs.gnu.org:


Received: (at 68742) by debbugs.gnu.org; 14 Feb 2024 12:32:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 14 07:32:06 2024
Received: from localhost ([127.0.0.1]:50685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1raEQo-0003jA-IK
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2024 07:32:06 -0500
Received: from dane.soverin.net ([185.233.34.148]:45145)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ekaitz@HIDDEN>)
 id 1raEQm-0003id-TS; Wed, 14 Feb 2024 07:32:06 -0500
Received: from smtp.soverin.net (unknown [10.10.4.74])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
 (No client certificate requested)
 by dane.soverin.net (Postfix) with ESMTPS id 4TZcxV47SDz2y1N;
 Wed, 14 Feb 2024 12:31:10 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [10.10.4.100]) by
 soverin.net (Postfix) with ESMTPSA id 4TZcxV0wlwzKK; 
 Wed, 14 Feb 2024 12:31:10 +0000 (UTC)
Authentication-Results: smtp.soverin.net; dkim=pass (2048-bit key;
 unprotected) header.d=elenq.tech header.i=@elenq.tech header.a=rsa-sha256
 header.s=soverin1 header.b=RQFrCWlY; dkim-atps=neutral
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=elenq.tech; s=soverin1;
 t=1707913870;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=1cJsqaPs8QAJKyljp5DaS6Hyf7Fgd+7CxbCuFqvPyBA=;
 b=RQFrCWlYB7DO3LGij025iC2w/S2CR1gAo74kZr1A88YCJHE3QIoKDqu89U/NDKSyFMUUni
 HacMvu3p6HDLDzbjbkN6xZaODIKiFDB9WGeisEZGWOo4z3DsQXz1vqkNbwxdMAy/Pl/Sya
 8wtqojk0DYXES81fX+UMqhgT4rSELiYYi/dv6vOVzp71c/qPkAOE485kUQrY4gL/o5qmSL
 yxmIM7RwTGzNYXOf+oAm7F0VBDKKy4ipk15qhA2uzW54yUVsWdbm8XXcqxSyu20+bSSkNm
 EmI/xe1MOiexpH6ClrZuPX9tgMFtBoqV/zLxNWocT+8g3Jh/k2vqv/0dhpBinw==
Message-ID: <18af450b-4585-c935-487f-7d3c59b80822@HIDDEN>
Date: Wed, 14 Feb 2024 13:31:09 +0100
MIME-Version: 1.0
To: control <at> debbugs.gnu.org, 68742 <at> debbugs.gnu.org
Subject: QA review for 68742
Content-Language: en-US, es-ES, eu
From: Ekaitz Zarraga <ekaitz@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 68742
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.6 (---)

user guix
usertag 68742 + reviewed-looks-good
thanks

Guix QA review form submission:
It's a simple addition. I think it's ok.
I linted, and I also built, and things the author expected work.

Items marked as checked: Lint warnings, Package builds, Commit messages




Information forwarded to guix-patches@HIDDEN:
bug#68742; Package guix-patches. Full text available.

Message received at 68742 <at> debbugs.gnu.org:


Received: (at 68742) by debbugs.gnu.org; 14 Feb 2024 12:23:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 14 07:23:06 2024
Received: from localhost ([127.0.0.1]:50668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1raEI5-0000lX-Ic
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2024 07:23:06 -0500
Received: from mail-wm1-f44.google.com ([209.85.128.44]:47474)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eduarskate8@HIDDEN>) id 1raEI3-0000kz-Ld
 for 68742 <at> debbugs.gnu.org; Wed, 14 Feb 2024 07:23:04 -0500
Received: by mail-wm1-f44.google.com with SMTP id
 5b1f17b1804b1-411f429a171so2520615e9.3
 for <68742 <at> debbugs.gnu.org>; Wed, 14 Feb 2024 04:22:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1707913299; x=1708518099; darn=debbugs.gnu.org;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=f3jIYxuwaOk/6aPpO21k2uwqpEjWG8MAbN2bx09xekE=;
 b=mzsc1okACFGL2KeZNNIHBfa5ce+LrcYu99NSJ0WF6ogIzzXkWik0dpEbDlzc4Lh2VR
 U3hitGp65R8BgwKf3Z9B+voIWzGt3Mk1LTPM/wO5s9v5wQTu4MlEEcKVrmZbjRVdFe3N
 C7Jn8AdCUws9b2a2BxFkkTXMCaMl2GNL+YW4bUkfHtBPHDso3iDP9hWSZ01tbR+tBa2m
 fmAN36mM2LnElvravdw+lguZXzxUG69SPclTKmy8n9iWGlGQUDwJllg9HGYc0293gPeU
 +a3Okh0gBgqEXxdvbYvajyPVOIPYsMV6RKqC2HpKO7yHK5lEGktStAfZQtMkhjqR6DoS
 FHxA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1707913299; x=1708518099;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=f3jIYxuwaOk/6aPpO21k2uwqpEjWG8MAbN2bx09xekE=;
 b=ZoNehuJX6mLw1CiXraaxGiiLRjtITlD2x9e4nWMls5fgU9V8KJhEHEllx/R5B37jQd
 5MLhWBnJrYJRoKd1B9wtJfZUfz7ayoNflecfcfbGSb+I+QWzbjVP5pXtl5RoQZ9lHeKW
 KDdWBSEsEd/3rhnZhxvKm7tOpF/TRAiaHsG7fDoYzWV6HAmi9CmBswpSDQ5DP1pDLFyT
 rJUKn3lP4F0X4bIZrSF5MTAojBqsTkB4otvIflTYclSG1n5NF7C4ilYuTfhfeCem3hzz
 3Zo/6eWy/CAb3ZMdnL0i1nff+7+DhgQAXpQzqt7maMXNqAjb8JyHr66/MBMJ7fQvxPvf
 kufA==
X-Gm-Message-State: AOJu0YynIloTV2xlW5GID9Dz51B2qHgpBPOpRwI79RHXRkKyCLqT3uHg
 5LBcWVDOREt7ezbvNJRjjTPklE5YM4vNOREox5nXKyR/X4JWqPADICZAP85H
X-Google-Smtp-Source: AGHT+IH1aiDtCleJDKoPlkQ6x7rezkBOmIP0EdcKr0c+D7/A5WXzPtQMn3RxqoqV9RRQPy+4Qz+nfA==
X-Received: by 2002:a05:600c:a41:b0:411:d7de:ea8e with SMTP id
 c1-20020a05600c0a4100b00411d7deea8emr1744602wmq.23.1707913299110; 
 Wed, 14 Feb 2024 04:21:39 -0800 (PST)
Received: from localhost.localdomain
 (static-148-107-61-95.ipcom.comunitel.net. [95.61.107.148])
 by smtp.gmail.com with ESMTPSA id
 a15-20020adffacf000000b0033b39cba5e4sm12181766wrs.116.2024.02.14.04.21.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 14 Feb 2024 04:21:38 -0800 (PST)
From: Erik Eduardo <eduarskate8@HIDDEN>
X-Google-Original-From: Erik Eduardo <erik@HIDDEN>
To: 68742 <at> debbugs.gnu.org
Subject: [PATCH v4] gnu: river: Add river.desktop file.
Date: Wed, 14 Feb 2024 12:19:55 +0000
Message-ID: <9e331205853e508c520247aeb8b1c601b1aa1517.1707913195.git.erik@HIDDEN>
X-Mailer: git-send-email 2.41.0
MIME-Version: 1.0
X-Debbugs-Cc: Ekaitz Zarraga <ekaitz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 68742
Cc: Erik Eduardo <erik@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

* gnu/packages/zig-xyz.scm (river)[arguments]: Add
  'install-wayland-session phase after 'install phase to install the
  river.desktop file inside share/wayland-sessions directory

Change-Id: I19fbcfa09a6b06ed602ec4be1b06cc6e2cd2a9a1
---
 gnu/packages/zig-xyz.scm | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/zig-xyz.scm b/gnu/packages/zig-xyz.scm
index 200b5c9940..0e2053b931 100644
--- a/gnu/packages/zig-xyz.scm
+++ b/gnu/packages/zig-xyz.scm
@@ -2,6 +2,7 @@
 ;;; Copyright © 2022 Maya Tomasek <maya.tomasek@HIDDEN>
 ;;; Copyright © 2023 Ekaitz Zarraga <ekaitz@HIDDEN>
 ;;; Copyright © 2023 Felix Lechner <felix.lechner@HIDDEN>
+;;; Copyright © 2024 Erik Eduardo <erik@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -52,7 +53,16 @@ (define-public river
     (build-system zig-build-system)
     (arguments
      (list
-      #:zig-build-flags #~(list "-Dxwayland")   ;experimental xwayland support
+      #:phases #~(modify-phases %standard-phases
+                   (add-after 'install 'install-wayland-session
+                     (lambda* (#:key outputs #:allow-other-keys)
+                       (let* ((out (assoc-ref outputs "out"))
+                              (wayland-sessions (string-append out
+                                                 "/share/wayland-sessions")))
+                         (mkdir-p wayland-sessions)
+                         (install-file "contrib/river.desktop"
+                                       wayland-sessions)))))
+      #:zig-build-flags #~(list "-Dxwayland") ;experimental xwayland support
       #:zig-release-type "safe"))
     (native-inputs (list libevdev
                          libxkbcommon

base-commit: cce7a6d2d2b18f51d1fcab67b02a38c11d6f4f2d
-- 
2.41.0





Information forwarded to ekaitz@HIDDEN, guix-patches@HIDDEN:
bug#68742; Package guix-patches. Full text available.

Message received at 68742 <at> debbugs.gnu.org:


Received: (at 68742) by debbugs.gnu.org; 9 Feb 2024 14:13:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 09 09:13:30 2024
Received: from localhost ([127.0.0.1]:38943 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rYRdB-0006t3-Mi
	for submit <at> debbugs.gnu.org; Fri, 09 Feb 2024 09:13:30 -0500
Received: from dane.soverin.net ([185.233.34.148]:42969)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ekaitz@HIDDEN>) id 1rYRd8-0006sa-Eq
 for 68742 <at> debbugs.gnu.org; Fri, 09 Feb 2024 09:13:28 -0500
Received: from smtp.soverin.net (unknown [10.10.4.74])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
 (No client certificate requested)
 by dane.soverin.net (Postfix) with ESMTPS id 4TWbRN6rk4z2xPn;
 Fri,  9 Feb 2024 14:13:04 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [10.10.4.99]) by soverin.net
 (Postfix) with ESMTPSA id 4TWbRN23brz3V; 
 Fri,  9 Feb 2024 14:13:04 +0000 (UTC)
Authentication-Results: smtp.soverin.net; dkim=pass (2048-bit key;
 unprotected) header.d=elenq.tech header.i=@elenq.tech header.a=rsa-sha256
 header.s=soverin1 header.b=eqkb1qNA; dkim-atps=neutral
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=elenq.tech; s=soverin1;
 t=1707487984;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=J1Y1KanWFvCz/p+HXzRluN05x9vbe91mrcMJsDXkuNI=;
 b=eqkb1qNAL4tTugOyEfGb5FdIsNQqmbylZQ0eJqLmGj6WuuimX2vFRZUocIJvA1AsugBifD
 uUibL2B5j+SUEHsIItOnI1QLRNWRvKiCIwlJmCVrRvOpzzFb2DyEgbCvs2fpNXHqbb2l8r
 U5FY6RLNH6YKl4LRqHtcOJ+tRnMbIRKjerjiJ201XJr4Pp3a+00WWmmKVdhKONc323cgoM
 IKZk5/3HlDrj2qPmnTm0nn8mpgivmea9TdOH6bLQW/abnbPX4FCjfTbdQwxNqRb6G4891W
 roRqIM9F4lMBsEAYOUhjBYDW2Llg1h99LaoHbNkLuWVGNEB8rrB0145iHnMhtg==
Message-ID: <2f0279dd-725d-22fe-09c6-034c6f1f96b5@HIDDEN>
Date: Fri, 9 Feb 2024 15:13:03 +0100
MIME-Version: 1.0
Subject: Re: [bug#68742] [PATCH v3] gnu: river: Add river.desktop file.
Content-Language: en-US, es-ES, eu
To: Erik Eduardo <eduarskate8@HIDDEN>, 68742 <at> debbugs.gnu.org
References: <f2f2742f98cc9d7b54c371b5c7221d93ef0dcdf2.1706288949.git.eduarskate8@HIDDEN>
 <53bd1ea6e9a06df4f89c8caf394f5cfac9fc1a75.1707413520.git.erikeah@HIDDEN>
From: Ekaitz Zarraga <ekaitz@HIDDEN>
In-Reply-To: <53bd1ea6e9a06df4f89c8caf394f5cfac9fc1a75.1707413520.git.erikeah@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 68742
Cc: Erik Eduardo <erikeah@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2024-02-08 18:32, Erik Eduardo wrote:
> * gnu/packages/zig-xyz.scm (river)[arguments]: Add
>    'install-wayland-session phase after 'install phase to install the
>    river.desktop file inside share/wayland-sessions directory
> 
> Change-Id: I19fbcfa09a6b06ed602ec4be1b06cc6e2cd2a9a1
> ---
>   gnu/packages/zig-xyz.scm | 11 ++++++++++-
>   1 file changed, 10 insertions(+), 1 deletion(-)
> 
> diff --git a/gnu/packages/zig-xyz.scm b/gnu/packages/zig-xyz.scm
> index 200b5c9940..8343555660 100644
> --- a/gnu/packages/zig-xyz.scm
> +++ b/gnu/packages/zig-xyz.scm
> @@ -52,7 +52,16 @@ (define-public river
>       (build-system zig-build-system)
>       (arguments
>        (list
> -      #:zig-build-flags #~(list "-Dxwayland")   ;experimental xwayland support
> +      #:phases #~(modify-phases %standard-phases
> +                   (add-after 'install 'install-wayland-session
> +                     (lambda* (#:key outputs #:allow-other-keys)
> +                       (let* ((out (assoc-ref outputs "out"))
> +                              (wayland-sessions (string-append out
> +                                                 "/share/wayland-sessions")))
> +                         (mkdir-p wayland-sessions)
> +                         (install-file "contrib/river.desktop"
> +                                       wayland-sessions)))))
> +      #:zig-build-flags #~(list "-Dxwayland") ;experimental xwayland support
>         #:zig-release-type "safe"))
>       (native-inputs (list libevdev
>                            libxkbcommon
> 
> base-commit: cce7a6d2d2b18f51d1fcab67b02a38c11d6f4f2d

Oh Erik!
But we are missing something very important here!

Add your copyright header to the top of the file, the rest of us feel 
alone there in the top. We need some company.

You can also use `#$output` instead of `(assoc-ref outputs "out")`, 
which might be cool to use, as you are already using a gexp in the 
phases for example.

Please send a new version and I'll mark it as reviewed (now I learned 
how to do it :) )

Best,
Ekaitz




Information forwarded to guix-patches@HIDDEN:
bug#68742; Package guix-patches. Full text available.

Message received at 68742 <at> debbugs.gnu.org:


Received: (at 68742) by debbugs.gnu.org; 8 Feb 2024 19:09:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 08 14:09:02 2024
Received: from localhost ([127.0.0.1]:33665 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rY9le-00016A-21
	for submit <at> debbugs.gnu.org; Thu, 08 Feb 2024 14:09:02 -0500
Received: from dane.soverin.net ([185.233.34.25]:58711)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ekaitz@HIDDEN>) id 1rY9lb-00015r-FI
 for 68742 <at> debbugs.gnu.org; Thu, 08 Feb 2024 14:09:01 -0500
Received: from smtp.soverin.net (c04smtp-lb01.int.sover.in [10.10.4.74])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
 (No client certificate requested)
 by dane.soverin.net (Postfix) with ESMTPS id 4TW62t0vy7z11XX;
 Thu,  8 Feb 2024 19:08:38 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [10.10.4.99]) by soverin.net
 (Postfix) with ESMTPSA id 4TW62s4JYLz6W; 
 Thu,  8 Feb 2024 19:08:37 +0000 (UTC)
Authentication-Results: smtp.soverin.net; dkim=pass (2048-bit key;
 unprotected) header.d=elenq.tech header.i=@elenq.tech header.a=rsa-sha256
 header.s=soverin1 header.b=safnKe5d; dkim-atps=neutral
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=elenq.tech; s=soverin1;
 t=1707419317;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=2KwoGRebs+QhrM9e2227qH63SHzxlx9IiNEJNPd8re8=;
 b=safnKe5davb/Yu7rUnN24JVsGHHgBu5QLotGGjAaSRN3ls4Ax+taKwRpfQ/EeOwoFe0En+
 OfzDsHv8vybkC0b8EwmujKL4ZRo1IzIifex7e+yuykI5IENPQ2lLwBTFHKDEKlCjUYGSsO
 IXBerTSMdU8RqUP+JJvdVdia2QtmLb8lcaxxt9roiTAuna4y4L4ccz3hubC0TbKV4ykstY
 i3gofEJ9dHU8pkiHBWQuHdI9WHBMwuHUsaWsQKSIjXLV90Zfqjw0BzkeQVoLJB9eCXRfqu
 biYnJDVmzCQpqrADTF/KjPohn9q8UKR9ixq3K4/LZRGU1VQeusd5+a2dDEuANQ==
Message-ID: <6033984d-30b0-1109-968b-5adeda61417c@HIDDEN>
Date: Thu, 8 Feb 2024 20:08:36 +0100
MIME-Version: 1.0
Subject: Re: [bug#68742] [PATCH v3] gnu: river: Add river.desktop file.
Content-Language: en-US, es-ES, eu
To: Erik Eduardo <eduarskate8@HIDDEN>, 68742 <at> debbugs.gnu.org
References: <f2f2742f98cc9d7b54c371b5c7221d93ef0dcdf2.1706288949.git.eduarskate8@HIDDEN>
 <53bd1ea6e9a06df4f89c8caf394f5cfac9fc1a75.1707413520.git.erikeah@HIDDEN>
From: Ekaitz Zarraga <ekaitz@HIDDEN>
In-Reply-To: <53bd1ea6e9a06df4f89c8caf394f5cfac9fc1a75.1707413520.git.erikeah@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 68742
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

On 2024-02-08 18:32, Erik Eduardo wrote:
> * gnu/packages/zig-xyz.scm (river)[arguments]: Add
>    'install-wayland-session phase after 'install phase to install the
>    river.desktop file inside share/wayland-sessions directory
> 
> Change-Id: I19fbcfa09a6b06ed602ec4be1b06cc6e2cd2a9a1
> ---
>   gnu/packages/zig-xyz.scm | 11 ++++++++++-
>   1 file changed, 10 insertions(+), 1 deletion(-)
> 
> diff --git a/gnu/packages/zig-xyz.scm b/gnu/packages/zig-xyz.scm
> index 200b5c9940..8343555660 100644
> --- a/gnu/packages/zig-xyz.scm
> +++ b/gnu/packages/zig-xyz.scm
> @@ -52,7 +52,16 @@ (define-public river
>       (build-system zig-build-system)
>       (arguments
>        (list
> -      #:zig-build-flags #~(list "-Dxwayland")   ;experimental xwayland support
> +      #:phases #~(modify-phases %standard-phases
> +                   (add-after 'install 'install-wayland-session
> +                     (lambda* (#:key outputs #:allow-other-keys)
> +                       (let* ((out (assoc-ref outputs "out"))
> +                              (wayland-sessions (string-append out
> +                                                 "/share/wayland-sessions")))
> +                         (mkdir-p wayland-sessions)
> +                         (install-file "contrib/river.desktop"
> +                                       wayland-sessions)))))
> +      #:zig-build-flags #~(list "-Dxwayland") ;experimental xwayland support
>         #:zig-release-type "safe"))
>       (native-inputs (list libevdev
>                            libxkbcommon
> 
> base-commit: cce7a6d2d2b18f51d1fcab67b02a38c11d6f4f2d


Looks good to me. But I don't have commit access.

If I get access I'll push. Also if someone wants to push this, I'll be 
grateful.

Let's hope it is pushed soon.

Thanks!





Information forwarded to guix-patches@HIDDEN:
bug#68742; Package guix-patches. Full text available.

Message received at 68742 <at> debbugs.gnu.org:


Received: (at 68742) by debbugs.gnu.org; 8 Feb 2024 17:32:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 08 12:32:49 2024
Received: from localhost ([127.0.0.1]:33547 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rY8GW-000448-So
	for submit <at> debbugs.gnu.org; Thu, 08 Feb 2024 12:32:49 -0500
Received: from mail-wr1-x429.google.com ([2a00:1450:4864:20::429]:46344)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eduarskate8@HIDDEN>) id 1rY8GV-00043w-Uk
 for 68742 <at> debbugs.gnu.org; Thu, 08 Feb 2024 12:32:48 -0500
Received: by mail-wr1-x429.google.com with SMTP id
 ffacd0b85a97d-33b4b121e28so1064874f8f.1
 for <68742 <at> debbugs.gnu.org>; Thu, 08 Feb 2024 09:32:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1707413547; x=1708018347; darn=debbugs.gnu.org;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=npsRsIQLE1B9/o7tmrC3LQ8q69eO1FV8gjHNWy6b5e0=;
 b=eDSMId56IF5aN8PwLuQNGmISizc3+1qGoPIvXkD5D0SYT4W1ni3ONu0cjuGAyyVlRk
 HyE394xxCdehRkZ/pyMCAWzUAZeg2i1WH7zBjdUqkzni+t7wIqLdGz6ElIGU9n1FWum+
 jFfIt+6qQlL5sJYVIw77jH5BsOf8H/mXV1UgRRPTKk8TTe1LNjB2/hiNgTL2BI2dAHrc
 aencbbA4J48mzCdk4T5GwietOao+FJDdImABv2cAyBiskmJZzuqRgWA6znJJj2Ktrvc8
 Y5C8IGHv0lLjbmsWGpt/fWybzdCJ5R3XHtb2LwrFtsNtZfQyz61xrKs92gxn07uifgOX
 IZaw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1707413547; x=1708018347;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=npsRsIQLE1B9/o7tmrC3LQ8q69eO1FV8gjHNWy6b5e0=;
 b=uRyRqo+m/g/9RZhbOoQboMVSzNshxQWJ16hbmWQlSHRdaAEyFNSeOY4DboRhPaBIWG
 rWCpRoMl74fjUOndagRuHkKFKXLLLmEoemT0ULaU4D0+aNgeK8SP0nHsInxb4UwBkuya
 cK2C6FXbqLv/FYGbNGV5ux0IgcfiATO1WrOaUenGTDR3eU0dE2NVaKc5xeOgXUp2RpLL
 rBr0dOIg6HeoVxXRKLATQC9ln/4DXGqZcWzmjiG46KWG81YdE/KHXKt4eY2IljuE0w5G
 ZcorlNcm6PFMHFtvetDtFLVg6gnqo/IUCI2XCjZ0o+IUgvlHgXkoqHdmk8wQSUM0y4Ys
 J1Cg==
X-Gm-Message-State: AOJu0YzwG0zzpR7lwF7oyXpc7nP99ntVVepbbFs+1x8AKPuCV6tyf+Rg
 8ED2YEgpxCbU77C9QUHzptSd6G92FfY5g2nEMrh1qX5TA92gMO7RhqkCiyCq
X-Google-Smtp-Source: AGHT+IFUvWvHeYZ01IZEYffnoijfmnQQvHF05gFD4KPrriCVyETH3XDcTm1dOfbtohVEGI6/bfw5pA==
X-Received: by 2002:adf:f812:0:b0:33a:e36f:f7d3 with SMTP id
 s18-20020adff812000000b0033ae36ff7d3mr81780wrp.60.1707413546761; 
 Thu, 08 Feb 2024 09:32:26 -0800 (PST)
Received: from localhost.localdomain
 (static-148-107-61-95.ipcom.comunitel.net. [95.61.107.148])
 by smtp.gmail.com with ESMTPSA id
 o8-20020a5d62c8000000b0033b1b01e4fcsm4024649wrv.96.2024.02.08.09.32.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 08 Feb 2024 09:32:26 -0800 (PST)
From: Erik Eduardo <eduarskate8@HIDDEN>
X-Google-Original-From: Erik Eduardo <erikeah@HIDDEN>
To: 68742 <at> debbugs.gnu.org
Subject: [PATCH v3] gnu: river: Add river.desktop file.
Date: Thu,  8 Feb 2024 17:32:00 +0000
Message-ID: <53bd1ea6e9a06df4f89c8caf394f5cfac9fc1a75.1707413520.git.erikeah@HIDDEN>
X-Mailer: git-send-email 2.41.0
MIME-Version: 1.0
X-Debbugs-Cc: Ekaitz Zarraga <ekaitz@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 68742
Cc: Erik Eduardo <erikeah@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

* gnu/packages/zig-xyz.scm (river)[arguments]: Add
  'install-wayland-session phase after 'install phase to install the
  river.desktop file inside share/wayland-sessions directory

Change-Id: I19fbcfa09a6b06ed602ec4be1b06cc6e2cd2a9a1
---
 gnu/packages/zig-xyz.scm | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/zig-xyz.scm b/gnu/packages/zig-xyz.scm
index 200b5c9940..8343555660 100644
--- a/gnu/packages/zig-xyz.scm
+++ b/gnu/packages/zig-xyz.scm
@@ -52,7 +52,16 @@ (define-public river
     (build-system zig-build-system)
     (arguments
      (list
-      #:zig-build-flags #~(list "-Dxwayland")   ;experimental xwayland support
+      #:phases #~(modify-phases %standard-phases
+                   (add-after 'install 'install-wayland-session
+                     (lambda* (#:key outputs #:allow-other-keys)
+                       (let* ((out (assoc-ref outputs "out"))
+                              (wayland-sessions (string-append out
+                                                 "/share/wayland-sessions")))
+                         (mkdir-p wayland-sessions)
+                         (install-file "contrib/river.desktop"
+                                       wayland-sessions)))))
+      #:zig-build-flags #~(list "-Dxwayland") ;experimental xwayland support
       #:zig-release-type "safe"))
     (native-inputs (list libevdev
                          libxkbcommon

base-commit: cce7a6d2d2b18f51d1fcab67b02a38c11d6f4f2d
-- 
2.41.0





Information forwarded to ekaitz@HIDDEN, guix-patches@HIDDEN:
bug#68742; Package guix-patches. Full text available.

Message received at 68742 <at> debbugs.gnu.org:


Received: (at 68742) by debbugs.gnu.org; 31 Jan 2024 08:36:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 31 03:36:33 2024
Received: from localhost ([127.0.0.1]:37403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rV65A-0007jF-O5
	for submit <at> debbugs.gnu.org; Wed, 31 Jan 2024 03:36:33 -0500
Received: from mail-wr1-x429.google.com ([2a00:1450:4864:20::429]:44298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eduarskate8@HIDDEN>) id 1rV652-0007it-T2
 for 68742 <at> debbugs.gnu.org; Wed, 31 Jan 2024 03:36:30 -0500
Received: by mail-wr1-x429.google.com with SMTP id
 ffacd0b85a97d-33934567777so3635799f8f.1
 for <68742 <at> debbugs.gnu.org>; Wed, 31 Jan 2024 00:36:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1706690169; x=1707294969; darn=debbugs.gnu.org;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=pnI+DGvPojApd2rjnwFaHp+SLH4a+G5q6gIWxva2ZdA=;
 b=WvngpeMIElIwex2z9ocyGEFUqmbT8Y2MAfWmjye1vKSPAA+bZTL3qrgGqdYIiGu18Y
 Y2kJui0Y5b0oYl2slPRq7A6ihJu7Q6N4kTnhcYd8Pdn915TQOElgL2tb6CYHHrLwefre
 +7844hDilkRWnIOjVhumF6QH2+frmsVZG9CIYnvaEu4odZn0pNXi+WrMH/siga69Fh/8
 UfA2AzxR8HA2FAfyTRygJW1viNM4Y92tNjIJKqZm1Hoopyy7W76KIjETLFIqIEkCypgw
 SwCd69+azZZWux3Ng/6uHSLzYHAy+48N3BxX4nfVl0gFJBrZnc/Lu0dtKzaVwByu33sQ
 r3Hw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1706690169; x=1707294969;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=pnI+DGvPojApd2rjnwFaHp+SLH4a+G5q6gIWxva2ZdA=;
 b=rvbBRmKwaZJaGMgkv02XANalLNOwQHWzwMtK2HkDV/oGKBCZSr48YgY0dxkPGaOFXL
 9XTyNPIlxjFz/Rk6n/jEErujsqURjPZsidAAzM6nfh2kd5N1uY4qFa1RaTEo7sM7nN+j
 SoVWmiJ+f4crVuaIe2AmcCZvSzHHGI/3j07RkTwI942BaY3f1Il7siVogV7KjjZoUHfl
 SUYXuUFpTd6/q7sYKw3JN9kXB0GOQV7J7Mjnp1NyL1SQPA/RCuuS9Vuni2vEULmmL6az
 Qte9Q+13Cr2aDSczurOufpuXJf51bJWKj2OcEBYb9u0FTKyd3q87hClE+TckbvWMTQ7o
 Xk/w==
X-Gm-Message-State: AOJu0YwbJNoCFmP2pnR6/mXXKMxoCSCT6qpuSEmf4G0q70uEmbvdvye4
 WBC568ywuRcdNY/L6wfQfV1tHNTiCxJe+BdRIec+RS/yeR4XcB2nYbhP3cjJ
X-Google-Smtp-Source: AGHT+IF43qobTiINYEj3K8Y8ScFL5QsWcDfJOKvvGtiRTkysXR+TfxT0prqNcUkvW2Jd3jSEKXfcNQ==
X-Received: by 2002:a5d:4007:0:b0:33a:ff6f:985a with SMTP id
 n7-20020a5d4007000000b0033aff6f985amr696903wrp.64.1706690168924; 
 Wed, 31 Jan 2024 00:36:08 -0800 (PST)
Received: from localhost.localdomain
 (static-148-107-61-95.ipcom.comunitel.net. [95.61.107.148])
 by smtp.gmail.com with ESMTPSA id
 n5-20020a056000170500b0033aef083fbfsm6969204wrc.31.2024.01.31.00.36.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 31 Jan 2024 00:36:08 -0800 (PST)
From: Erik Eduardo <eduarskate8@HIDDEN>
To: 68742 <at> debbugs.gnu.org
Subject: [PATCH] gnu: river: Add river.desktop file.
Date: Wed, 31 Jan 2024 08:32:19 +0000
Message-ID: <9c8ceac6e513f6c71f93c949db7db70788d3ae56.1706689939.git.eduarskate8@HIDDEN>
X-Mailer: git-send-email 2.41.0
MIME-Version: 1.0
X-Debbugs-Cc: Ekaitz Zarraga <ekaitz@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 68742
Cc: Erik Eduardo <erikeah@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

From: Erik Eduardo <erikeah@HIDDEN>

* gnu/packages/zig-xyz.scm (river)[arguments]: Add 'install-extra-files
  phase after 'install phase to install the river.desktop file inside
  share/wayland-sessions directory.

Change-Id: I19fbcfa09a6b06ed602ec4be1b06cc6e2cd2a9a1
---
 gnu/packages/zig-xyz.scm | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/zig-xyz.scm b/gnu/packages/zig-xyz.scm
index 200b5c9940..ca73c6bad8 100644
--- a/gnu/packages/zig-xyz.scm
+++ b/gnu/packages/zig-xyz.scm
@@ -52,7 +52,16 @@ (define-public river
     (build-system zig-build-system)
     (arguments
      (list
-      #:zig-build-flags #~(list "-Dxwayland")   ;experimental xwayland support
+      #:phases #~(modify-phases %standard-phases
+                   (add-after 'install 'install-extra-files
+                     (lambda* (#:key outputs #:allow-other-keys)
+                       (let* ((out (assoc-ref outputs "out"))
+                              (wayland-sessions (string-append out
+                                                 "/share/wayland-sessions")))
+                         (mkdir-p wayland-sessions)
+                         (install-file "contrib/river.desktop"
+                                       wayland-sessions)))))
+      #:zig-build-flags #~(list "-Dxwayland") ;experimental xwayland support
       #:zig-release-type "safe"))
     (native-inputs (list libevdev
                          libxkbcommon

base-commit: 66dd088d3c3404f5cbe2d4d4c5e8f93d184703b0
-- 
2.41.0

Thanks a lot for the welcoming! Here it's the patch with commit message fixed.





Information forwarded to ekaitz@HIDDEN, guix-patches@HIDDEN:
bug#68742; Package guix-patches. Full text available.

Message received at 68742 <at> debbugs.gnu.org:


Received: (at 68742) by debbugs.gnu.org; 29 Jan 2024 16:41:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 29 11:41:29 2024
Received: from localhost ([127.0.0.1]:33314 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rUUhM-0003lX-N3
	for submit <at> debbugs.gnu.org; Mon, 29 Jan 2024 11:41:29 -0500
Received: from dane.soverin.net ([2a10:de80:1:4091:b9e9:2215:0:1]:37679)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ekaitz@HIDDEN>) id 1rUUhJ-0003lG-4q
 for 68742 <at> debbugs.gnu.org; Mon, 29 Jan 2024 11:41:26 -0500
Received: from smtp.soverin.net (c04smtp-lb01.int.sover.in [10.10.4.74])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
 (No client certificate requested)
 by dane.soverin.net (Postfix) with ESMTPS id 4TNvFJ6lyXzQx;
 Mon, 29 Jan 2024 16:41:08 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [10.10.4.100]) by
 soverin.net (Postfix) with ESMTPSA id 4TNvFJ1TjJz9j; 
 Mon, 29 Jan 2024 16:41:08 +0000 (UTC)
Authentication-Results: smtp.soverin.net; dkim=pass (2048-bit key;
 unprotected) header.d=elenq.tech header.i=@elenq.tech header.a=rsa-sha256
 header.s=soverin1 header.b=jIzcDLKH; dkim-atps=neutral
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=elenq.tech; s=soverin1;
 t=1706546468;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=G7GlNTBgx1UqtKlDeauou18kpGOWXiEzYnwgK7ogPrY=;
 b=jIzcDLKH/PYRVMkWDF1RnzXmNsHQg8TGCk0zOnBCcVYl9TideN1ZmgRFoPam5xs1CP2NeH
 6/U4lXlpjvfQBX6fkyHorBQSjO9wOmHjmymNhjEWqXeQ5zDRzB29X7fJyZgqa8kiQ2K3YH
 i3N7B4ezjOuDz9NZ95FAaSW+no53CieUosaaaA6yhPh21p+mRwpc6FX+UAMUSTR3GyNSZb
 OjBnhwkGXizZsRXoIM1vAUhceoPbzi9R0x0TMUSyBtEwpoQrw0IUny8cTmYcUqZ+R4Ld1z
 tl5Ry2AXx/ZmDdbHFcqG1kkjUs1icpY5FZ9ERKQlPa+C0CBqkqAtkXnGYlSjsQ==
Message-ID: <b3b2ad21-3927-97f7-d867-5054916213e4@HIDDEN>
Date: Mon, 29 Jan 2024 17:41:07 +0100
MIME-Version: 1.0
Subject: Re: [bug#68742] [PATCH] gnu: river: add river.desktop on
 wayland-sessions
Content-Language: en-US, es-ES, eu
To: Erik Eduardo <eduarskate8@HIDDEN>, 68742 <at> debbugs.gnu.org
References: <f2f2742f98cc9d7b54c371b5c7221d93ef0dcdf2.1706288949.git.eduarskate8@HIDDEN>
From: Ekaitz Zarraga <ekaitz@HIDDEN>
In-Reply-To: <f2f2742f98cc9d7b54c371b5c7221d93ef0dcdf2.1706288949.git.eduarskate8@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 68742
Cc: Erik Eduardo <erikeah@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi

On 2024-01-26 18:09, Erik Eduardo wrote:
> From: Erik Eduardo <erikeah@HIDDEN>
> 
> This patch will allow to login from login managers or display managers
> to River.
> 
> Changes:
> 
>    - Creates a directory at share named wayland-sessions
>    - Install a desktop file from repo inside share/wayland-sessions
> 
> This is my first patch, please be patient and give me feedback, I will
> do my best.
> 
> Change-Id: Iea8999cf97bedc8fb7ede4dd22b8f0f9529d2fa1
> ---
>   gnu/packages/zig-xyz.scm | 11 ++++++++++-
>   1 file changed, 10 insertions(+), 1 deletion(-)
> 
> diff --git a/gnu/packages/zig-xyz.scm b/gnu/packages/zig-xyz.scm
> index 200b5c9940..ca73c6bad8 100644
> --- a/gnu/packages/zig-xyz.scm
> +++ b/gnu/packages/zig-xyz.scm
> @@ -52,7 +52,16 @@ (define-public river
>       (build-system zig-build-system)
>       (arguments
>        (list
> -      #:zig-build-flags #~(list "-Dxwayland")   ;experimental xwayland support
> +      #:phases #~(modify-phases %standard-phases
> +                   (add-after 'install 'install-extra-files
> +                     (lambda* (#:key outputs #:allow-other-keys)
> +                       (let* ((out (assoc-ref outputs "out"))
> +                              (wayland-sessions (string-append out
> +                                                 "/share/wayland-sessions")))
> +                         (mkdir-p wayland-sessions)
> +                         (install-file "contrib/river.desktop"
> +                                       wayland-sessions)))))
> +      #:zig-build-flags #~(list "-Dxwayland") ;experimental xwayland support
>         #:zig-release-type "safe"))
>       (native-inputs (list libevdev
>                            libxkbcommon
> 
> base-commit: 2266754382bce43789976aec65181cb5085c8bc4


Looks good to me, but guix commits follow changelog format:

https://www.gnu.org/prep/standards/standards.html#Change-Logs

The rest of it looks ok. Please resend with the message fixed and I'll 
take a further look.

Thanks a lot for contributing to Guix.

Ekaitz




Information forwarded to guix-patches@HIDDEN:
bug#68742; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jan 2024 17:23:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 26 12:23:39 2024
Received: from localhost ([127.0.0.1]:52633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rTPvW-0004a6-J6
	for submit <at> debbugs.gnu.org; Fri, 26 Jan 2024 12:23:39 -0500
Received: from lists.gnu.org ([2001:470:142::17]:36678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eduarskate8@HIDDEN>) id 1rTPn2-0004CB-17
 for submit <at> debbugs.gnu.org; Fri, 26 Jan 2024 12:14:52 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eduarskate8@HIDDEN>)
 id 1rTPmp-0000Pv-OW
 for guix-patches@HIDDEN; Fri, 26 Jan 2024 12:14:39 -0500
Received: from mail-wr1-x434.google.com ([2a00:1450:4864:20::434])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <eduarskate8@HIDDEN>)
 id 1rTPmo-0004lf-6u
 for guix-patches@HIDDEN; Fri, 26 Jan 2024 12:14:39 -0500
Received: by mail-wr1-x434.google.com with SMTP id
 ffacd0b85a97d-337cf4ac600so703753f8f.3
 for <guix-patches@HIDDEN>; Fri, 26 Jan 2024 09:14:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1706289276; x=1706894076; darn=gnu.org;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=sATWAlLkdeGX2VjHfl3PwFfzPK41nByZ+vzEbC/9wQo=;
 b=nIOUowX+R4cHqifJJNNzw3JiBmTve2n3TP1IAdmBy0iqsRbwqMWEj5ucAxZM55kGLF
 /EjrfBT4ajBsRbT1D3c+TdZVCkvz3SEVL57PQV2OPx4KJJsGpi+PXCiTXl2qi4WlOJVN
 ongaoxnmbNhOAj9IS1AufEh/+7sVzh3t01wh7zNR6L7CiF+XkoVMFyw3pvV2EY3a6TXm
 jmh8PE7M8AWI6L9OZSRwAcTuj1yJTE3AADD7oEYhiu96eeNIR5HKtgteF1xnjr2jbv+J
 NeTsm+CMXVPxJ9nErBg1WVcCHaLrlyc6J7l1UB4HqxS3GSzI66tFRsDWsSOFlA819nzo
 cnQw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1706289276; x=1706894076;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=sATWAlLkdeGX2VjHfl3PwFfzPK41nByZ+vzEbC/9wQo=;
 b=SXOsZPBsZkl6N1EHZakHF0BID80Dm5/MRCLP03Mwg4YPsvmc1dWFb/IIHPoYYxW2xb
 GRji0vHyYX7Blx9IC0FFUZ1PBZaCHeVyAUOaXLbUn2DqERjiipCSqSA33pspD7tjyyON
 H1qM0THNf5RQPTHsxL/9K+wnK8ZHFS1VnIDNdoDJ41h5ye2RXjbPLXqlb8X6XGhzEIr5
 aqv2t3lLMPzIdOq0aK75jKCq/0bipsZhuikW/GHj3HvlIcNn1KSkSqjJ7cUJliYs1msh
 nsrKST4NIsgEXEyaMB97ekc6VPoOShDKb3oQPYBNiGaMnldSZIvRGYHTEqCE+ut2GksN
 thRA==
X-Gm-Message-State: AOJu0Yxon33ILaWNlyr1AxPY2vu7CRQPVBWiitgQ8yF/t0ztVt69i5Yb
 IlzKk2m0UYnc3XouloFiZK9KDtbBe8BjQel55TM3SlFQHT+K6fvWHi7NP/fa
X-Google-Smtp-Source: AGHT+IH6f1POBpsHD1LmVeHCO8skmc5TmHhlDpxctv561Ffq7qjuknpwS4BPj8WrpW9rre+FYER1Og==
X-Received: by 2002:a5d:59a8:0:b0:337:d651:e659 with SMTP id
 p8-20020a5d59a8000000b00337d651e659mr1294297wrr.143.1706289275472; 
 Fri, 26 Jan 2024 09:14:35 -0800 (PST)
Received: from localhost.localdomain (static-35-3-224-77.ipcom.comunitel.net.
 [77.224.3.35]) by smtp.gmail.com with ESMTPSA id
 f2-20020adfdb42000000b003392ba296b3sm1645146wrj.56.2024.01.26.09.14.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 26 Jan 2024 09:14:35 -0800 (PST)
From: Erik Eduardo <eduarskate8@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: river: add river.desktop on wayland-sessions
Date: Fri, 26 Jan 2024 17:09:09 +0000
Message-ID: <f2f2742f98cc9d7b54c371b5c7221d93ef0dcdf2.1706288949.git.eduarskate8@HIDDEN>
X-Mailer: git-send-email 2.41.0
MIME-Version: 1.0
X-Debbugs-Cc: Ekaitz Zarraga <ekaitz@HIDDEN>
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2a00:1450:4864:20::434;
 envelope-from=eduarskate8@HIDDEN; helo=mail-wr1-x434.google.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: From: Erik Eduardo This patch will allow to login from login
 managers or display managers to River. Changes: 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (eduarskate8[at]gmail.com)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (eduarskate8[at]gmail.com)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 26 Jan 2024 12:23:36 -0500
Cc: Erik Eduardo <erikeah@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

From: Erik Eduardo <erikeah@HIDDEN>

This patch will allow to login from login managers or display managers
to River.

Changes:

  - Creates a directory at share named wayland-sessions
  - Install a desktop file from repo inside share/wayland-sessions

This is my first patch, please be patient and give me feedback, I will
do my best.

Change-Id: Iea8999cf97bedc8fb7ede4dd22b8f0f9529d2fa1
---
 gnu/packages/zig-xyz.scm | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/zig-xyz.scm b/gnu/packages/zig-xyz.scm
index 200b5c9940..ca73c6bad8 100644
--- a/gnu/packages/zig-xyz.scm
+++ b/gnu/packages/zig-xyz.scm
@@ -52,7 +52,16 @@ (define-public river
     (build-system zig-build-system)
     (arguments
      (list
-      #:zig-build-flags #~(list "-Dxwayland")   ;experimental xwayland support
+      #:phases #~(modify-phases %standard-phases
+                   (add-after 'install 'install-extra-files
+                     (lambda* (#:key outputs #:allow-other-keys)
+                       (let* ((out (assoc-ref outputs "out"))
+                              (wayland-sessions (string-append out
+                                                 "/share/wayland-sessions")))
+                         (mkdir-p wayland-sessions)
+                         (install-file "contrib/river.desktop"
+                                       wayland-sessions)))))
+      #:zig-build-flags #~(list "-Dxwayland") ;experimental xwayland support
       #:zig-release-type "safe"))
     (native-inputs (list libevdev
                          libxkbcommon

base-commit: 2266754382bce43789976aec65181cb5085c8bc4
-- 
2.41.0





Acknowledgement sent to Erik Eduardo <eduarskate8@HIDDEN>:
New bug report received and forwarded. Copy sent to ekaitz@HIDDEN, guix-patches@HIDDEN. Full text available.
Report forwarded to ekaitz@HIDDEN, guix-patches@HIDDEN:
bug#68742; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 14 Feb 2024 12:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.